import * as $dara from '@darabonba/typescript';
export declare class DescribeEipAddressesRequestFilter extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeEipAddressesRequest extends $dara.Model {
    filter?: DescribeEipAddressesRequestFilter[];
    allocationId?: string;
    associatedInstanceId?: string;
    associatedInstanceType?: string;
    chargeType?: string;
    eipAddress?: string;
    ISP?: string;
    lockReason?: string;
    ownerAccount?: string;
    ownerId?: number;
    pageNumber?: number;
    pageSize?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
